انجمن‌های فارسی اوبونتو

لطفاً به انجمن‌ها وارد شده و یا جهت ورود ثبت‌نام نمائید

لطفاً جهت ورود نام کاربری و رمز عبورتان را وارد نمائید

اوبونتو ۲۰٫۱۰ منتشر شد.
انتظار می‌ره همهٔ اعضا هرچه زودتر به این نگارش ارتقا پیدا کنند. همهٔ پاسخ‌ها از این به بعد، بر پایهٔ اوبونتو ۲۰٫۱۰ خواهد بود.

نویسنده موضوع: مشکل در نصب پکیج های Sublime Text  (دفعات بازدید: 362 بار)

0 کاربر و 1 مهمان درحال مشاهده موضوع.

آفلاین AH999

  • Newbie
  • *
  • ارسال: 24
  • جنسیت : پسر
مشکل در نصب پکیج های Sublime Text
« : 24 خرداد 1399، 10:56 ب‌ظ »
سلام وقت بخیر
بعد از نصب Sublime text 3 که میخوام Package control رو نصب کنم ،‌ با موفقیت نصب میشه ولی مشکل اینجاست که برای نصب پکیج ها install package این ارور رو میده:
Your system's locale is set to a value that can not handle non-ASCII characters. Package Control can not properly work unless this is fixed.

On Linux, please reference your distribution's docs for information on properly setting the LANG and LC_CTYPE environmental variables. As a temporary work-around, you can launch Sublime Text from the terminal with:

LANG=en_US.UTF-8 LC_CTYPE=en_US.UTF-8 sublime_text


خیلی سرچ کردم و کار هایی که گفته شده بود رو انجام دادم ،‌ولی باز همون ارور رو میده.
ممنون میشم راهنمایی کنید دوستان ،‌مرسی

آفلاین هومان

  • High Hero Member
  • *
  • ارسال: 1379
  • جنسیت : پسر
پاسخ : مشکل در نصب پکیج های Sublime Text
« پاسخ #1 : 25 خرداد 1399، 01:01 ق‌ظ »
معلومه باید لوکال رو عوض کنی

آفلاین AH999

  • Newbie
  • *
  • ارسال: 24
  • جنسیت : پسر
پاسخ : مشکل در نصب پکیج های Sublime Text
« پاسخ #2 : 25 خرداد 1399، 10:15 ق‌ظ »
عرض کردم ، 10 15 باری هست که تغییر دادم و ری استارت کردم ،‌ دیگه خسته شدم تا کی؟! :'( :'( :-X

به طور مثال:
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=
« آخرین ویرایش: 25 خرداد 1399، 10:17 ق‌ظ توسط AH999 »

آفلاین علیرضا آهنی

  • Sr. Member
  • *
  • ارسال: 308
  • جنسیت : پسر
  • یک کاربر گنولینوکس
پاسخ : مشکل در نصب پکیج های Sublime Text
« پاسخ #3 : 25 خرداد 1399، 04:01 ب‌ظ »
من مشکلی شبیه به این رو توی اوبونتو 20.04 داشتم ‌ ، شاید بتونی با دستور زیر درستش کنی:
sudo locale-gen fa_IR
من دوست دارم به بقیه توی این انجمن کمک کنم چون این انجمن به من خیلی کمک کرد .

آفلاین هومان

  • High Hero Member
  • *
  • ارسال: 1379
  • جنسیت : پسر
پاسخ : مشکل در نصب پکیج های Sublime Text
« پاسخ #4 : 25 خرداد 1399، 04:16 ب‌ظ »
بعدش باید لوکال رو ایجاد کنی وگرنه اورراید میکنه سیستم دی

locale-gen

محتویات /etc/locale.gen رو تنظیم میکنه به عنوان لوکاله

آفلاین دانیال بهزادی

  • ناظر انجمن
  • *
  • ارسال: 13263
  • جنسیت : پسر
  • Urahara Kiesuke
    • صفحهٔ ویکی
پاسخ : مشکل در نصب پکیج های Sublime Text
« پاسخ #5 : 25 خرداد 1399، 04:29 ب‌ظ »
متأسفانه سابلایم نرم‌افزار انحصاریه و این انجمن‌ها در موردش پاسخگو نیستن. از پشتیبانی خودش کمک بگیرین.
اگه این ارسال بهت کمک کرد، دنبال دکمهٔ تشکر نگرد. به جاش تو هم به جامعهٔ آزادت کمک کن